import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'create_room_params.g.dart';

@JsonSerializable()
class CreateRoomParams extends ApiParams {
  int roomType;
  String invite;
  String? source;
  String? roomName;
  String? objectType;
  String? objectId;

  CreateRoomParams({
    required this.roomType,
    required this.invite,
    this.source,
    this.roomName,
    this.objectType,
    this.objectId,
  });

  factory CreateRoomParams.fromJson(Map<String, dynamic> json) =>
      _$CreateRoomParamsFromJson(json);
  Map<String, dynamic> toJson() => _$CreateRoomParamsToJson(this);
}
